GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Concepts | Functions
gridfire_extern.cpp File Reference
`#include "gridfire/gridfire.h"`
`#include "fourdst/composition/exceptions/exceptions_composition.h"`
`#include "gridfire/extern/gridfire_context.h"`
`#include "gridfire/extern/gridfire_extern.h"`
Include dependency graph for gridfire_extern.cpp:

## Concepts
concept | @076141075253251206006125172343113355315141050267::ErrorTrackable

## Functions
void * | gf_init (const enum GF_TYPE type)
int | gf_free (const enum GF_TYPE type, void *ctx)
int | gf_set_num_zones (const enum GF_TYPE type, void *ptr, const size_t num_zones)
int | gf_register_species (void *ptr, const int num_species, const char **species_names)
int | gf_construct_engine_from_policy (void *ptr, const char *policy_name, const double *abundances, const size_t num_species)
int | gf_construct_solver_from_engine (void *ptr)
int | gf_evolve (const enum GF_TYPE type, void *ptr, const void *Y_in, const size_t num_species, const void *T, const void *rho, const double tMax, const double dt0, void *Y_out, void *energy_out, void *dEps_dT, void *dEps_dRho, void *specific_neutrino_energy_loss, void *specific_neutrino_flux, void *mass_lost)
char * | gf_get_last_error_message (void *ptr)
char * | gf_error_code_to_string (const int error_code)

## Function Documentation

## ◆ gf_construct_engine_from_policy()

int gf_construct_engine_from_policy | ( | void * | ptr,
|  | const char * | policy_name,
|  | const double * | abundances,
|  | const size_t | num_species )

## ◆ gf_construct_solver_from_engine()

int gf_construct_solver_from_engine | ( | void * | ptr | ) |

## ◆ gf_error_code_to_string()

char * gf_error_code_to_string | ( | const int | error_code | ) |

## ◆ gf_evolve()

int gf_evolve | ( | const enum GF_TYPE | type,
|  | void * | ptr,
|  | const void * | Y_in,
|  | const size_t | num_species,
|  | const void * | T,
|  | const void * | rho,
|  | const double | tMax,
|  | const double | dt0,
|  | void * | Y_out,
|  | void * | energy_out,
|  | void * | dEps_dT,
|  | void * | dEps_dRho,
|  | void * | specific_neutrino_energy_loss,
|  | void * | specific_neutrino_flux,
|  | void * | mass_lost )

## ◆ gf_free()

int gf_free | ( | const enum GF_TYPE | type,
|  | void * | ctx )

## ◆ gf_get_last_error_message()

char * gf_get_last_error_message | ( | void * | ptr | ) |

## ◆ gf_init()

void * gf_init | ( | const enum GF_TYPE | type | ) |

## ◆ gf_register_species()

int gf_register_species | ( | void * | ptr,
|  | const int | num_species,
|  | const char ** | species_names )

## ◆ gf_set_num_zones()

int gf_set_num_zones | ( | const enum GF_TYPE | type,
|  | void * | ptr,
|  | const size_t | num_zones )